import request from '/@/utils/request';

export function materialApi() {
	return {
		getMaterialByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/selectStuffPage',
				method: 'post',
				data: params
			});
		},

		addMaterial: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/insert/insertStuff',
				method: 'post',
				data: params
			});
		},

		modMaterial: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/update/updateStuff',
				method: 'post',
				data: params
			});
		},

		deleteMaterialById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/delete/deleteStuff',
				method: 'post',
				data: params
			});
		},

		getAllMaterial: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listStuff',
				method: 'get',
			});
		},
	};
}
